declare const ESIEnum: {
    WalkinExamFormRandomType: import("./enumsClass").Enums<{
        readonly CreatePaper: {
            readonly value: 11;
            readonly th: "สุ่มสร้างแบบทดสอบกระดาษ";
            readonly en: "สุ่มสร้างแบบทดสอบกระดาษ";
        };
        readonly CreateReplacePaper: {
            readonly value: 12;
            readonly th: "สุ่มสร้างแบบทดสอบกระดาษ";
            readonly en: "สุ่มสร้างแบบทดสอบกระดาษ";
        };
        readonly ReplaceWalkin: {
            readonly value: 20;
            readonly th: "สุ่มสร้างแบบ Walk-in Exam";
            readonly en: "สุ่มสร้างแบบ Walk-in Exam";
        };
    }>;
    VerifyStatusType: import("./enumsClass").Enums<{
        readonly Unverified: {
            readonly value: 100;
            readonly th: "ยังไม่ได้ตรวจสอบ";
            readonly en: "ยังไม่ได้ตรวจสอบ";
        };
        readonly Verified: {
            readonly value: 200;
            readonly th: "ตรวจสอบแล้ว";
            readonly en: "ตรวจสอบแล้ว";
        };
    }>;
    UsedStatusType: import("./enumsClass").Enums<{
        readonly Unuse: {
            readonly value: 100;
            readonly th: "ไม่ได้ใช้งาน";
            readonly en: "ไม่ได้ใช้งาน";
        };
        readonly Used: {
            readonly value: 200;
            readonly th: "ใช้งานอยู่";
            readonly en: "ใช้งานอยู่";
        };
    }>;
    UseType: import("./enumsClass").Enums<{
        readonly ExamProvision: {
            readonly value: 10;
            readonly th: "จัดทำแบบทดสอบ";
            readonly en: "จัดทำแบบทดสอบ";
        };
        readonly ProcessControl: {
            readonly value: 20;
            readonly th: "ควบคุมการทำงาน";
            readonly en: "ควบคุมการทำงาน";
        };
    }>;
    TaskOperationType: import("./enumsClass").Enums<{
        readonly Item: {
            readonly value: 10;
            readonly th: "รายข้อ";
            readonly en: "รายข้อ";
        };
        readonly Unit: {
            readonly value: 20;
            readonly th: "รายหน่วย";
            readonly en: "รายหน่วย";
        };
        readonly Examform: {
            readonly value: 30;
            readonly th: "รายแบบทดสอบ";
            readonly en: "รายแบบทดสอบ";
        };
        readonly Subject: {
            readonly value: 40;
            readonly th: "รายชุดวิชา";
            readonly en: "รายชุดวิชา";
        };
    }>;
    TaskFeeUnitType: import("./enumsClass").Enums<{
        readonly PerItem: {
            readonly value: 10;
            readonly th: "ต่อข้อ";
            readonly en: "ต่อข้อ";
        };
        readonly PerPageObjectiveSubjective: {
            readonly value: 21;
            readonly th: "(ต่อหน้า) ทั้งข้อสอบปรนัย และข้อสอบอัตนัย";
            readonly en: "(ต่อหน้า) ทั้งข้อสอบปรนัย และข้อสอบอัตนัย";
        };
        readonly PerPageSubjective: {
            readonly value: 22;
            readonly th: "(ต่อหน้า) เฉพาะข้อสอบอัตนัย";
            readonly en: "(ต่อหน้า) เฉพาะข้อสอบอัตนัย";
        };
        readonly PerPageObjective: {
            readonly value: 20;
            readonly th: "(ต่อหน้า) เฉพาะข้อสอบปรนัย";
            readonly en: "(ต่อหน้า) เฉพาะข้อสอบปรนัย";
        };
    }>;
    TaskType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 11;
            readonly th: "ออกข้อสอบใหม่";
            readonly en: "ออกข้อสอบใหม่";
        };
        readonly Select: {
            readonly value: 12;
            readonly th: "คัดเลือกแบบทดสอบเก่า";
            readonly en: "คัดเลือกแบบทดสอบเก่า";
        };
        readonly Replace: {
            readonly value: 13;
            readonly th: "คัดลอกแบบทดสอบเก่ายกภาค";
            readonly en: "คัดลอกแบบทดสอบเก่ายกภาค";
        };
        readonly Random: {
            readonly value: 14;
            readonly th: "สุ่มแบบทดสอบ";
            readonly en: "สุ่มแบบทดสอบ";
        };
        readonly Copy: {
            readonly value: 15;
            readonly th: "คัดลอกแบบ";
            readonly en: "คัดลอกแบบ";
        };
        readonly Review: {
            readonly value: 20;
            readonly th: "ตรวจสอบคุณภาพข้อสอบ";
            readonly en: "ตรวจสอบคุณภาพข้อสอบ";
        };
        readonly Improve: {
            readonly value: 30;
            readonly th: "การปรับปรุงคุณภาพข้อสอบ";
            readonly en: "การปรับปรุงคุณภาพข้อสอบ";
        };
        readonly Evaluate: {
            readonly value: 40;
            readonly th: "ประเมินคุณภาพข้อสอบ";
            readonly en: "ประเมินคุณภาพข้อสอบ";
        };
        readonly Draft1: {
            readonly value: 51;
            readonly th: "ตรวจทานร่าง 1";
            readonly en: "ตรวจทานร่าง 1";
        };
        readonly Draft2: {
            readonly value: 52;
            readonly th: "ตรวจทานร่าง 2";
            readonly en: "ตรวจทานร่าง 2";
        };
        readonly Draft3: {
            readonly value: 53;
            readonly th: "ตรวจทานร่าง 3";
            readonly en: "ตรวจทานร่าง 3";
        };
        readonly Draft4: {
            readonly value: 54;
            readonly th: "ตรวจทานร่าง 4";
            readonly en: "ตรวจทานร่าง 4";
        };
        readonly Draft1To3: {
            readonly value: 55;
            readonly th: "ตรวจทานร่าง 1 - 3";
            readonly en: "ตรวจทานร่าง 1 - 3";
        };
        readonly Draft13: {
            readonly value: 56;
            readonly th: "ตรวจทานร่าง 1, 3";
            readonly en: "ตรวจทานร่าง 1, 3";
        };
        readonly Draft1To4: {
            readonly value: 57;
            readonly th: "ตรวจทานร่าง 1 - 4";
            readonly en: "ตรวจทานร่าง 1 - 4";
        };
        readonly Print: {
            readonly value: 60;
            readonly th: "การพิมพ์ข้อสอบ";
            readonly en: "การพิมพ์ข้อสอบ";
        };
    }>;
    TableMappingType: import("./enumsClass").Enums<{
        readonly P: {
            readonly value: 10;
            readonly th: "ตารางแปลผลค่า P";
            readonly en: "ตารางแปลผลค่า P";
        };
        readonly R: {
            readonly value: 20;
            readonly th: "ตารางแปลผลค่า R";
            readonly en: "ตารางแปลผลค่า R";
        };
        readonly PrCorrect: {
            readonly value: 30;
            readonly th: "ตารางแปลผลค่า P และ R ตัวถูก";
            readonly en: "ตารางแปลผลค่า P และ R ตัวถูก";
        };
        readonly PrLure: {
            readonly value: 40;
            readonly th: "ตารางแปลผลค่า P และ R ตัวลวง";
            readonly en: "ตารางแปลผลค่า P และ R ตัวลวง";
        };
    }>;
    SubjectRoleType: import("./enumsClass").Enums<{
        readonly MainOrganization: {
            readonly value: 10;
            readonly th: "ประธาน/ตัวแทน สาขาวิชา";
            readonly en: "ประธาน/ตัวแทน สาขาวิชา";
        };
        readonly MainSubject: {
            readonly value: 20;
            readonly th: "ประธาน/ตัวแทน ชุดวิชา";
            readonly en: "ประธาน/ตัวแทน ชุดวิชา";
        };
    }>;
    SubjectType: import("./enumsClass").Enums<{
        readonly General: {
            readonly value: 10;
            readonly th: "ชุดวิชาทั่วไป";
            readonly en: "ชุดวิชาทั่วไป";
        };
        readonly Difficult: {
            readonly value: 20;
            readonly th: "ชุดวิชายาก";
            readonly en: "ชุดวิชายาก";
        };
    }>;
    StatisticsUsedType: import("./enumsClass").Enums<{
        readonly None: {
            readonly value: 0;
            readonly th: "ไม่ใช้";
            readonly en: "ไม่ใช้";
        };
        readonly Pr: {
            readonly value: 10;
            readonly th: "ค่า p และ r";
            readonly en: "ค่า p และ r";
        };
        readonly Irt: {
            readonly value: 20;
            readonly th: "ใช้ IRT";
            readonly en: "ใช้ IRT";
        };
    }>;
    SourceType: import("./enumsClass").Enums<{
        readonly FormerExamWarehouse: {
            readonly value: 10;
            readonly th: "โอนย้ายจากคลังข้อสอบเดิม";
            readonly en: "โอนย้ายจากคลังข้อสอบเดิม";
        };
        readonly StouOnline: {
            readonly value: 20;
            readonly th: "บันทึกจากระบบ STOU-Online";
            readonly en: "บันทึกจากระบบ STOU-Online";
        };
    }>;
    SendToTaskType: import("./enumsClass").Enums<{
        readonly NewExam: {
            readonly value: 11;
            readonly th: "ออกข้อสอบใหม่";
            readonly en: "ออกข้อสอบใหม่";
        };
        readonly SelectExam: {
            readonly value: 12;
            readonly th: "คัดเลือกแบบทดสอบเก่า";
            readonly en: "คัดเลือกแบบทดสอบเก่า";
        };
        readonly CopyExam: {
            readonly value: 13;
            readonly th: "คัดลอกแบบทดสอบเก่า";
            readonly en: "คัดลอกแบบทดสอบเก่า";
        };
        readonly ReplaceExam: {
            readonly value: 14;
            readonly th: "คัดลอกแบบทดสอบเก่ายกภาค";
            readonly en: "คัดลอกแบบทดสอบเก่ายกภาค";
        };
        readonly RandomExam: {
            readonly value: 15;
            readonly th: "สุ่มแบบทดสอบ";
            readonly en: "สุ่มแบบทดสอบ";
        };
        readonly ReviewExam: {
            readonly value: 20;
            readonly th: "ตรวจสอบคุณภาพข้อสอบ";
            readonly en: "Review";
        };
        readonly ImproveExam: {
            readonly value: 30;
            readonly th: "การปรับปรุงคุณภาพข้อสอบ";
            readonly en: "การปรับปรุงคุณภาพข้อสอบ";
        };
        readonly EvaluateExam: {
            readonly value: 40;
            readonly th: "ประเมินคุณภาพข้อสอบ";
            readonly en: "ประเมินคุณภาพข้อสอบ";
        };
        readonly Draft1: {
            readonly value: 51;
            readonly th: "ตรวจทานร่าง 1";
            readonly en: "ตรวจทานร่าง 1";
        };
        readonly Draft2: {
            readonly value: 52;
            readonly th: "ตรวจทานร่าง 2";
            readonly en: "ตรวจทานร่าง 2";
        };
        readonly Draft3: {
            readonly value: 53;
            readonly th: "ตรวจทานร่าง 3";
            readonly en: "ตรวจทานร่าง 3";
        };
        readonly Draft4: {
            readonly value: 54;
            readonly th: "ตรวจทานร่าง 4";
            readonly en: "ตรวจทานร่าง 4";
        };
        readonly Draft1To3: {
            readonly value: 55;
            readonly th: "ตรวจทานร่าง 1 - 3";
            readonly en: "ตรวจทานร่าง 1 - 3";
        };
        readonly Draft13: {
            readonly value: 56;
            readonly th: "ตรวจทานร่าง 1, 3";
            readonly en: "ตรวจทานร่าง 1, 3";
        };
        readonly Draft1To4: {
            readonly value: 57;
            readonly th: "ตรวจทานร่าง 1 - 4";
            readonly en: "ตรวจทานร่าง 1 - 4";
        };
        readonly PrintExam: {
            readonly value: 60;
            readonly th: "การพิมพ์ข้อสอบ";
            readonly en: "การพิมพ์ข้อสอบ";
        };
    }>;
    SendStatusType: import("./enumsClass").Enums<{
        readonly StatusWait: {
            readonly value: 100;
            readonly th: "รอดำเนินการ";
            readonly en: "รอดำเนินการ";
        };
        readonly StatusCancel: {
            readonly value: 800;
            readonly th: "ยกเลิกการดำเนินการ";
            readonly en: "ยกเลิกการดำเนินการ";
        };
        readonly StatusComplete: {
            readonly value: 900;
            readonly th: "ดำเนินการเสร็จสิ้น";
            readonly en: "ดำเนินการเสร็จสิ้น";
        };
    }>;
    ReviewerProcessStatusType: import("./enumsClass").Enums<{
        readonly Pending: {
            readonly value: 100;
            readonly th: "รอแจ้งดำเนินการแต่งตั้ง";
            readonly en: "รอแจ้งดำเนินการแต่งตั้ง";
        };
        readonly Proceeding: {
            readonly value: 200;
            readonly th: "ระหว่างดำเนินการแต่งตั้ง";
            readonly en: "ระหว่างดำเนินการแต่งตั้ง";
        };
        readonly Confirm: {
            readonly value: 900;
            readonly th: "ยืนยันการแต่งตั้ง";
            readonly en: "ยืนยันการแต่งตั้ง";
        };
        readonly None: {
            readonly value: 8000;
            readonly th: "ไม่มีการกำหนด";
            readonly en: "ไม่มีการกำหนด";
        };
    }>;
    ResponseType: import("./enumsClass").Enums<{
        readonly CanReply: {
            readonly value: 10;
            readonly th: "ตอบกลับได้";
            readonly en: "ตอบกลับได้";
        };
        readonly NotReply: {
            readonly value: 20;
            readonly th: "ห้ามตอบกลับ";
            readonly en: "ห้ามตอบกลับ";
        };
    }>;
    RequireStatusType: import("./enumsClass").Enums<{
        readonly NotRequired: {
            readonly value: 100;
            readonly th: "ไม่จำเป็นต้องใช้ในการออกข้อสอบทุกครั้ง";
            readonly en: "ไม่จำเป็นต้องใช้ในการออกข้อสอบทุกครั้ง";
        };
        readonly Required: {
            readonly value: 200;
            readonly th: "จำเป็นต้องใช้ในการออกข้อสอบทุกครั้ง";
            readonly en: "จำเป็นต้องใช้ในการออกข้อสอบทุกครั้ง";
        };
    }>;
    ReportType: import("./enumsClass").Enums<{
        readonly ReportGeneral: {
            readonly value: 10;
            readonly th: "รายงานทั่วไป";
            readonly en: "รายงานทั่วไป";
        };
        readonly ReportDashboard: {
            readonly value: 20;
            readonly th: "Dashboard";
            readonly en: "Dashboard";
        };
    }>;
    ReceiverStatusType: import("./enumsClass").Enums<{
        readonly Wait: {
            readonly value: 100;
            readonly th: "รออ่าน";
            readonly en: "รออ่าน";
        };
        readonly Read: {
            readonly value: 200;
            readonly th: "อ่านแล้ว";
            readonly en: "อ่านแล้ว";
        };
        readonly Replied: {
            readonly value: 300;
            readonly th: "ตอบกลับ";
            readonly en: "ตอบกลับ";
        };
        readonly Denied: {
            readonly value: 800;
            readonly th: "ปฏิเสธการรับข้อความ";
            readonly en: "ปฏิเสธการรับข้อความ";
        };
    }>;
    ProcessStatusType: import("./enumsClass").Enums<{
        readonly Pending: {
            readonly value: 100;
            readonly th: "รอดำเนินการ";
            readonly en: "รอดำเนินการ";
        };
        readonly Proceeding: {
            readonly value: 200;
            readonly th: "อยู่ระหว่างดำเนินการ";
            readonly en: "อยู่ระหว่างดำเนินการ";
        };
        readonly Cancel: {
            readonly value: 800;
            readonly th: "ยกเลิกการดำเนินการ";
            readonly en: "ยกเลิกการดำเนินการ";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "ดำเนินการแล้วเสร็จ";
            readonly en: "ดำเนินการแล้วเสร็จ";
        };
    }>;
    PersonRoleType: import("./enumsClass").Enums<{
        readonly MainOrganization: {
            readonly value: 10;
            readonly th: "ประธานสาขาวิชา";
            readonly en: "ประธานสาขาวิชา";
        };
        readonly MainSubject: {
            readonly value: 20;
            readonly th: "ประธานชุดวิชา";
            readonly en: "ประธานชุดวิชา";
        };
        readonly Author: {
            readonly value: 31;
            readonly th: "ผู้ออกข้อสอบ";
            readonly en: "ผู้ออกข้อสอบ";
        };
        readonly Random: {
            readonly value: 32;
            readonly th: "ผู้สุ่มแบบทดสอบ";
            readonly en: "ผู้สุ่มแบบทดสอบ";
        };
        readonly Select: {
            readonly value: 33;
            readonly th: "ผู้คัดเลือกแบบทดสอบเก่า";
            readonly en: "ผู้คัดเลือกแบบทดสอบเก่า";
        };
        readonly Replace: {
            readonly value: 34;
            readonly th: "ผู้คัดลอกแบบทดสอบเก่ายกภาค";
            readonly en: "ผู้คัดลอกแบบทดสอบเก่ายกภาค";
        };
        readonly Copy: {
            readonly value: 35;
            readonly th: "ผู้คัดลอกแบบทดสอบ";
            readonly en: "ผู้คัดลอกแบบทดสอบ";
        };
        readonly Improve: {
            readonly value: 40;
            readonly th: "ผู้ปรับปรุงข้อสอบ";
            readonly en: "ผู้ปรับปรุงข้อสอบ";
        };
        readonly Review: {
            readonly value: 50;
            readonly th: "ผู้ตรวจสอบคุณภาพ/ประเมินข้อสอบ";
            readonly en: "ผู้ตรวจสอบคุณภาพ/ประเมินข้อสอบ";
        };
        readonly Check: {
            readonly value: 60;
            readonly th: "ผู้ตรวจร่าง";
            readonly en: "ผู้ตรวจร่าง";
        };
        readonly Print: {
            readonly value: 70;
            readonly th: "ผู้พิมพ์";
            readonly en: "ผู้พิมพ์";
        };
        readonly AdminCreate: {
            readonly value: 91;
            readonly th: "ผู้ดูแลระบบหน่วยจัดทำแบบทดสอบ";
            readonly en: "ผู้ดูแลระบบหน่วยจัดทำแบบทดสอบ";
        };
        readonly AdminArchive: {
            readonly value: 92;
            readonly th: "ผู้ดูแลระบบหน่วยคลังข้อสอบโดยใช้คอมพิวเตอร์";
            readonly en: "ผู้ดูแลระบบหน่วยคลังข้อสอบโดยใช้คอมพิวเตอร์";
        };
        readonly AdminAnalyze: {
            readonly value: 93;
            readonly th: "ผู้ดูแลระบบหน่วยวิเคราะห์ข้อสอบ";
            readonly en: "ผู้ดูแลระบบหน่วยวิเคราะห์ข้อสอบ";
        };
        readonly AdminWork: {
            readonly value: 94;
            readonly th: "ผู้ดูแลระบบงาน";
            readonly en: "ผู้ดูแลระบบงาน";
        };
    }>;
    PaymentStatusType: import("./enumsClass").Enums<{
        readonly WaitForConsidering: {
            readonly value: 0;
            readonly th: "รอพิจารณา";
            readonly en: "รอพิจารณา";
        };
        readonly Proceeding: {
            readonly value: 100;
            readonly th: "อยู่ระหว่างดำเนินการ";
            readonly en: "อยู่ระหว่างดำเนินการ";
        };
        readonly NoPayment: {
            readonly value: 800;
            readonly th: "ไม่มีค่าตอบแทน / สมนาคุณ";
            readonly en: "ไม่มีค่าตอบแทน / สมนาคุณ";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "ดำเนินการแล้วเสร็จ";
            readonly en: "ดำเนินการแล้วเสร็จ";
        };
    }>;
    PaperExamFormRandomType: import("./enumsClass").Enums<{
        readonly Form: {
            readonly value: 10;
            readonly th: "สุ่มสร้างแบบ";
            readonly en: "จากข้อสอบในคลังข้อสอบ";
        };
        readonly Paper: {
            readonly value: 20;
            readonly th: "สุ่มยกแบบกระดาษ";
            readonly en: "สุ่มยกแบบกระดาษ";
        };
    }>;
    OperationStatusType: import("./enumsClass").Enums<{
        readonly Action: {
            readonly value: 100;
            readonly th: "สถานะจัดทำแบบทดสอบ";
            readonly en: "สถานะจัดทำแบบทดสอบ";
        };
        readonly End: {
            readonly value: 200;
            readonly th: "สถานะสิ้นสุดการทำงาน";
            readonly en: "สถานะสิ้นสุดการทำงาน";
        };
    }>;
    ObjectiveFormatType: import("./enumsClass").Enums<{
        readonly ObjectiveWithChoice: {
            readonly value: 10;
            readonly th: "ข้อสอบปรนัยแยกตัวเลือก";
            readonly en: "ข้อสอบปรนัยแยกตัวเลือก";
        };
        readonly ObjectiveNoChoice: {
            readonly value: 20;
            readonly th: "ข้อสอบปรนัยรวมตัวเลือก";
            readonly en: "ข้อสอบปรนัยรวมตัวเลือก";
        };
        readonly Subjective: {
            readonly value: 30;
            readonly th: "ข้อสอบอัตนัย";
            readonly en: "ข้อสอบอัตนัย";
        };
    }>;
    NotifyStatusType: import("./enumsClass").Enums<{
        readonly None: {
            readonly value: 0;
            readonly th: "ยังไม่ได้ดำเนินการ";
            readonly en: "ยังไม่ได้ดำเนินการ";
        };
        readonly Proceeding: {
            readonly value: 100;
            readonly th: "ระหว่างดำเนินการแจ้งเตือน";
            readonly en: "ระหว่างดำเนินการแจ้งเตือน";
        };
        readonly Failure: {
            readonly value: 800;
            readonly th: "แจ้งเตือนไม่สำเร็จ";
            readonly en: "แจ้งเตือนไม่สำเร็จ";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "แจ้งเตือนเรียบร้อยแล้ว";
            readonly en: "แจ้งเตือนเรียบร้อยแล้ว";
        };
        readonly Cancel: {
            readonly value: 8000;
            readonly th: "ยกเลิกการแจ้งเตือน";
            readonly en: "ยกเลิกการแจ้งเตือน";
        };
    }>;
    NotifyMessageType: import("./enumsClass").Enums<{
        readonly CalculatorNotAllow: {
            readonly value: 10;
            readonly th: "แสดงข้อความห้ามใช้เครื่องคำนวณ";
            readonly en: "แสดงข้อความห้ามใช้เครื่องคำนวณ";
        };
        readonly CalculatorUndisplay: {
            readonly value: 20;
            readonly th: "ไม่แสดงข้อความเกี่ยวกับเครื่องคำนวณ";
            readonly en: "ไม่แสดงข้อความเกี่ยวกับเครื่องคำนวณ";
        };
        readonly CalculatorAllow: {
            readonly value: 30;
            readonly th: "อนุญาตให้ใช้เครื่องคำนวณ";
            readonly en: "อนุญาตให้ใช้เครื่องคำนวณ";
        };
    }>;
    NotifyType: import("./enumsClass").Enums<{
        readonly Notice: {
            readonly value: 10;
            readonly th: "แจ้งเพื่อทราบ";
            readonly en: "แจ้งเพื่อทราบ";
        };
        readonly Action: {
            readonly value: 20;
            readonly th: "แจ้งเพื่อดำเนินการ";
            readonly en: "แจ้งเพื่อดำเนินการ";
        };
        readonly Warning: {
            readonly value: 30;
            readonly th: "แจ้งเตือน";
            readonly en: "แจ้งเตือน";
        };
        readonly Followup: {
            readonly value: 40;
            readonly th: "แจ้งเร่งรัดติดตาม";
            readonly en: "แจ้งเร่งรัดติดตาม";
        };
    }>;
    MultimediaStatusType: import("./enumsClass").Enums<{
        readonly StatusMultimediaNo: {
            readonly value: 100;
            readonly th: "ไม่ใช้งาน Multimedia";
            readonly en: "ไม่ใช้งาน Multimedia";
        };
        readonly StatusMultimediaUse: {
            readonly value: 200;
            readonly th: "ใช้งาน Multimedia";
            readonly en: "ใช้งาน Multimedia";
        };
    }>;
    MessageStatusType: import("./enumsClass").Enums<{
        readonly StatusNewNoSend: {
            readonly value: 0;
            readonly th: "บันทึกใหม่ไม่ต้องส่ง";
            readonly en: "บันทึกใหม่ไม่ต้องส่ง";
        };
        readonly StatusNewFixing: {
            readonly value: 100;
            readonly th: "ข้อความใหม่กำลังแก้ไข";
            readonly en: "ข้อความใหม่กำลังแก้ไข";
        };
        readonly StatusCompleteWait: {
            readonly value: 200;
            readonly th: "ข้อความสมบูรณ์รอการส่ง";
            readonly en: "ข้อความสมบูรณ์รอการส่ง";
        };
        readonly StatusErrorNoIdentify: {
            readonly value: 310;
            readonly th: "ปัญหาอื่นๆไม่สามารถระบุได้";
            readonly en: "ปัญหาอื่นๆไม่สามารถระบุได้";
        };
        readonly StatusErrorMessage: {
            readonly value: 320;
            readonly th: "ปัญหาจากข้อความ";
            readonly en: "ปัญหาจากข้อความ";
        };
        readonly StatusErrorDestination: {
            readonly value: 330;
            readonly th: "ปัญหาจากที่อยู่ปลายทาง";
            readonly en: "ปัญหาจากที่อยู่ปลายทาง";
        };
        readonly StatusErrorGateway: {
            readonly value: 340;
            readonly th: "ปัญหาจาก Mail Gateway";
            readonly en: "ปัญหาจาก Mail Gateway";
        };
        readonly StatusErrorSystem: {
            readonly value: 350;
            readonly th: "ปัญหาจากการเข้าใช้ระบบ";
            readonly en: "ปัญหาจากการเข้าใช้ระบบ";
        };
        readonly StatusCancelByUser: {
            readonly value: 410;
            readonly th: "ยกเลิกข้อความโดยผู้ใช้งาน";
            readonly en: "ยกเลิกข้อความโดยผู้ใช้งาน";
        };
        readonly StatusCancelByAdmin: {
            readonly value: 420;
            readonly th: "ยกเลิกข้อความโดยผู้ดูแลระบบ";
            readonly en: "ยกเลิกข้อความโดยผู้ดูแลระบบ";
        };
        readonly StatusCancelBySystem: {
            readonly value: 430;
            readonly th: "ยกเลิกข้อความโดยระบบ";
            readonly en: "ยกเลิกข้อความโดยระบบ";
        };
        readonly StatusMessageExpire: {
            readonly value: 800;
            readonly th: "ข้อความหมดอายุการให้บริการ";
            readonly en: "ข้อความหมดอายุการให้บริการ";
        };
        readonly StatusSending: {
            readonly value: 910;
            readonly th: "กำลังส่งข้อความ";
            readonly en: "กำลังส่งข้อความ";
        };
        readonly StatusSent: {
            readonly value: 990;
            readonly th: "ส่งข้อความเรียบร้อยแล้ว";
            readonly en: "ส่งข้อความเรียบร้อยแล้ว";
        };
    }>;
    MessageType: import("./enumsClass").Enums<{
        readonly MessageSend: {
            readonly value: 10;
            readonly th: "ส่ง";
            readonly en: "ส่ง";
        };
        readonly MessageReply: {
            readonly value: 20;
            readonly th: "ตอบกลับ";
            readonly en: "ตอบกลับ";
        };
    }>;
    LockStatusType: import("./enumsClass").Enums<{
        readonly Unlock: {
            readonly value: 100;
            readonly th: "ใช้งานได้";
            readonly en: "ใช้งานได้";
        };
        readonly Lock: {
            readonly value: 800;
            readonly th: "ระงับการใช้งาน";
            readonly en: "ระงับการใช้งาน";
        };
    }>;
    KeeperType: import("./enumsClass").Enums<{
        readonly Main: {
            readonly value: 10;
            readonly th: "ผู้ดูแลข้อมูลหลัก";
            readonly en: "ผู้ดูแลข้อมูลหลัก";
        };
        readonly CoWorker: {
            readonly value: 20;
            readonly th: "ผู้ร่วมดูแลข้อมูล";
            readonly en: "ผู้ร่วมดูแลข้อมูล";
        };
    }>;
    ItemCopiedStatusType: import("./enumsClass").Enums<{
        readonly NoCopied: {
            readonly value: 100;
            readonly th: "ไม่มีการสำเนาข้อสอบ";
            readonly en: "ไม่มีการสำเนาข้อสอบ";
        };
        readonly Copied: {
            readonly value: 200;
            readonly th: "มีการสำเนาข้อสอบ";
            readonly en: "มีการสำเนาข้อสอบ";
        };
    }>;
    ItemAddType: import("./enumsClass").Enums<{
        readonly ByCreateOrSelect: {
            readonly value: 10;
            readonly th: "เพิ่มโดยการสร้าง/เลือกข้อสอบ";
            readonly en: "เพิ่มโดยการสร้าง/เลือกข้อสอบ";
        };
        readonly ByRandom: {
            readonly value: 20;
            readonly th: "เพิ่มโดยการสุ่มข้อสอบ";
            readonly en: "เพิ่มโดยการสุ่มข้อสอบ";
        };
    }>;
    InputOptionType: import("./enumsClass").Enums<{
        readonly Normal: {
            readonly value: 10;
            readonly th: "ตัวเลือกปกติ";
            readonly en: "ตัวเลือกปกติ";
        };
        readonly SingleLine: {
            readonly value: 20;
            readonly th: "ตัวเลือก แบบระบุข้อความบรรทัดเดียว";
            readonly en: "Single Line";
        };
        readonly MultiLine: {
            readonly value: 30;
            readonly th: "ตัวเลือก แบบระบุข้อความหลายบรรทัด";
            readonly en: "Multi - Line";
        };
    }>;
    InformType: import("./enumsClass").Enums<{
        readonly Examination: {
            readonly value: 10;
            readonly th: "ข้อเสนอแนะในการออกข้อสอบ";
            readonly en: "ข้อเสนอแนะในการออกข้อสอบ";
        };
        readonly Amend: {
            readonly value: 20;
            readonly th: "ข้อเสนอแนะในการปรับปรุงข้อสอบ";
            readonly en: "Review Topic";
        };
        readonly Other: {
            readonly value: 30;
            readonly th: "อื่น ๆ";
            readonly en: "อื่น ๆ";
        };
    }>;
    FormStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 100;
            readonly th: "สร้างใหม่";
            readonly en: "สร้างใหม่";
        };
        readonly NewBySystem: {
            readonly value: 110;
            readonly th: "สร้างใหม่";
            readonly en: "โดยระบบ";
        };
        readonly Draft1: {
            readonly value: 200;
            readonly th: "ตรวจร่าง 1 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 1 แล้วเสร็จ";
        };
        readonly Draft2: {
            readonly value: 300;
            readonly th: "ตรวจร่าง 2 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 2 แล้วเสร็จ";
        };
        readonly Draft3: {
            readonly value: 400;
            readonly th: "ตรวจร่าง 3 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 3 แล้วเสร็จ";
        };
        readonly Draft4: {
            readonly value: 500;
            readonly th: "ตรวจร่าง 4 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 4 แล้วเสร็จ";
        };
        readonly PrinteryReady: {
            readonly value: 600;
            readonly th: "สมบูรณ์พร้อมส่งโรงพิมพ์";
            readonly en: "สมบูรณ์พร้อมส่งโรงพิมพ์";
        };
        readonly PrinterySent: {
            readonly value: 700;
            readonly th: "ส่งโรงพิมพ์แล้ว";
            readonly en: "ส่งโรงพิมพ์แล้ว";
        };
        readonly Cancel: {
            readonly value: 800;
            readonly th: "ยกเลิกการใช้งาน";
            readonly en: "ยกเลิกการใช้งาน";
        };
        readonly End: {
            readonly value: 900;
            readonly th: "สิ้นสุดกระบวนการ";
            readonly en: "สิ้นสุดกระบวนการ";
        };
    }>;
    FormProcessStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 100;
            readonly th: "ใหม่";
            readonly en: "ใหม่";
        };
        readonly ProvisionNewInform: {
            readonly value: 2100;
            readonly th: "แจ้งออกข้อสอบใหม่ / สุ่ม / คัดเลือก";
            readonly en: "แจ้งออกข้อสอบใหม่ / สุ่ม / คัดเลือก";
        };
        readonly ProvisionNewDone: {
            readonly value: 2200;
            readonly th: "ออกข้อสอบใหม่ / สุ่ม / คัดเลือก แล้วเสร็จ";
            readonly en: "ออกข้อสอบใหม่ / สุ่ม / คัดเลือก แล้วเสร็จ";
        };
        readonly ProvisionEditorInform: {
            readonly value: 2250;
            readonly th: "แจ้งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
            readonly en: "แจ้งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
        };
        readonly ProvisionDone: {
            readonly value: 2900;
            readonly th: "จัดทำแบบทดสอบแล้วเสร็จ";
            readonly en: "จัดทำแบบทดสอบแล้วเสร็จ";
        };
        readonly QualityCheckSent: {
            readonly value: 3100;
            readonly th: "ส่งตรวจสอบคุณภาพข้อสอบ";
            readonly en: "ส่งตรวจสอบคุณภาพข้อสอบ";
        };
        readonly QualityCheckDone: {
            readonly value: 3900;
            readonly th: "ตรวจสอบคุณภาพข้อสอบแล้วเสร็จ";
            readonly en: "ตรวจสอบคุณภาพข้อสอบแล้วเสร็จ";
        };
        readonly Draft1Done: {
            readonly value: 4100;
            readonly th: "ตรวจร่าง 1 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 1 แล้วเสร็จ";
        };
        readonly Draft1EditorSent: {
            readonly value: 4150;
            readonly th: "ผู้ตรวจร่าง 1 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
            readonly en: "ผู้ตรวจร่าง 1 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
        };
        readonly Draft2Done: {
            readonly value: 4200;
            readonly th: "ตรวจร่าง 2 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 2 แล้วเสร็จ";
        };
        readonly Draft2EditorSent: {
            readonly value: 4250;
            readonly th: "ผู้ตรวจร่าง 2 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
            readonly en: "ผู้ตรวจร่าง 2 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
        };
        readonly Draft3Done: {
            readonly value: 4300;
            readonly th: "ตรวจร่าง 3 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 3 แล้วเสร็จ";
        };
        readonly Draft3EditorSent: {
            readonly value: 4350;
            readonly th: "ผู้ตรวจร่าง 3 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
            readonly en: "ผู้ตรวจร่าง 3 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
        };
        readonly Draft4Done: {
            readonly value: 4400;
            readonly th: "ตรวจร่าง 4 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 4 แล้วเสร็จ";
        };
        readonly Draft4EditorSent: {
            readonly value: 4450;
            readonly th: "ผู้ตรวจร่าง 4 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
            readonly en: "ผู้ตรวจร่าง 4 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
        };
        readonly DraftDone: {
            readonly value: 4900;
            readonly th: "ตรวจร่างแบบทดสอบแล้วเสร็จ";
            readonly en: "ตรวจร่างแบบทดสอบแล้วเสร็จ";
        };
        readonly QualityImproveSent: {
            readonly value: 5100;
            readonly th: "ส่งปรับปรุงคุณภาพข้อสอบ";
            readonly en: "ส่งปรับปรุงคุณภาพข้อสอบ";
        };
        readonly QualityImproveEditorSent: {
            readonly value: 5150;
            readonly th: "ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
            readonly en: "ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ";
        };
        readonly QualityImproveDone: {
            readonly value: 5900;
            readonly th: "ปรับปรุงคุณภาพข้อสอบแล้วเสร็จ";
            readonly en: "ปรับปรุงคุณภาพข้อสอบแล้วเสร็จ";
        };
        readonly EvaluateSent: {
            readonly value: 6100;
            readonly th: "ส่งประเมินคุณภาพข้อสอบ";
            readonly en: "ส่งประเมินคุณภาพข้อสอบ";
        };
        readonly EvaluateDone: {
            readonly value: 6900;
            readonly th: "ประเมินคุณภาพข้อสอบแล้วเสร็จ";
            readonly en: "ประเมินคุณภาพข้อสอบแล้วเสร็จ";
        };
        readonly Completed: {
            readonly value: 9000;
            readonly th: "ดำเนินการแล้วเสร็จ";
            readonly en: "ดำเนินการแล้วเสร็จ";
        };
    }>;
    FontType: import("./enumsClass").Enums<{
        readonly CordiaNew: {
            readonly value: 10;
            readonly th: "Cordia New";
            readonly en: "Cordia New";
        };
        readonly EucrosiaUpc: {
            readonly value: 20;
            readonly th: "EucrosiaUPC";
            readonly en: "EucrosiaUPC";
        };
        readonly TimesNewRoman: {
            readonly value: 30;
            readonly th: "Times New Roman";
            readonly en: "Times New Roman";
        };
        readonly ThSarabunNew: {
            readonly value: 40;
            readonly th: "TH Sarabun New";
            readonly en: "TH Sarabun New";
        };
        readonly ThSarabunPsk: {
            readonly value: 50;
            readonly th: "TH SarabunPSK";
            readonly en: "TH SarabunPSK";
        };
    }>;
    FlagType: import("./enumsClass").Enums<{
        readonly Yes: {
            readonly value: 10;
            readonly th: "ใช่";
            readonly en: "ใช่";
        };
        readonly No: {
            readonly value: 20;
            readonly th: "ไม่ใช่";
            readonly en: "ไม่ใช่";
        };
    }>;
    ExamUseFlagType: import("./enumsClass").Enums<{
        readonly Use: {
            readonly value: 10;
            readonly th: "ใช้งาน";
            readonly en: "ใช้งาน";
        };
        readonly Unuse: {
            readonly value: 20;
            readonly th: "ไม่ใช้งาน";
            readonly en: "ไม่ใช้งาน";
        };
    }>;
    ExamStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 0;
            readonly th: "ใหม่";
            readonly en: "ใหม่";
        };
        readonly Draft1: {
            readonly value: 100;
            readonly th: "ตรวจร่าง 1 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 1 แล้วเสร็จ";
        };
        readonly Draft2: {
            readonly value: 200;
            readonly th: "ตรวจร่าง 2 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 2 แล้วเสร็จ";
        };
        readonly Draft3: {
            readonly value: 300;
            readonly th: "ตรวจร่าง 3 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 3 แล้วเสร็จ";
        };
        readonly Draft4: {
            readonly value: 400;
            readonly th: "ตรวจร่าง 4 แล้วเสร็จ";
            readonly en: "ตรวจร่าง 4 แล้วเสร็จ";
        };
        readonly Ready: {
            readonly value: 500;
            readonly th: "พร้อมใช้งาน";
            readonly en: "พร้อมใช้งาน";
        };
        readonly Disable: {
            readonly value: 800;
            readonly th: "ระงับการใช้งาน";
            readonly en: "ระงับการใช้งาน";
        };
    }>;
    ExamReviewStatusType: import("./enumsClass").Enums<{
        readonly Pending: {
            readonly value: 0;
            readonly th: "รอพิจารณา";
            readonly en: "รอพิจารณา";
        };
        readonly Proceeding: {
            readonly value: 100;
            readonly th: "อยู่ระหว่างดำเนินการ";
            readonly en: "อยู่ระหว่างดำเนินการ";
        };
        readonly Cancel: {
            readonly value: 800;
            readonly th: "ยกเลิกการดำเนินการ";
            readonly en: "ยกเลิกการดำเนินการ";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "ดำเนินการแล้วเสร็จ";
            readonly en: "ดำเนินการแล้วเสร็จ";
        };
    }>;
    ExamPlanSubjectStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 100;
            readonly th: "กำหนดชุดวิชา/แบบทดสอบ เข้าแผนการจัดทำแบบทดสอบ";
            readonly en: "กำหนดชุดวิชา/แบบทดสอบ เข้าแผนการจัดทำแบบทดสอบ";
        };
        readonly ConfirmCommittee: {
            readonly value: 200;
            readonly th: "ยืนยันแต่งตั้งคณะกรรมการ";
            readonly en: "ยืนยันแต่งตั้งคณะกรรมการ";
        };
        readonly Proceeding: {
            readonly value: 300;
            readonly th: "ดำเนินงานตามแผนงาน";
            readonly en: "ออกข้อสอบ / สร้างแบบทดสอบ / ตรวจสอบคุณภาพ / ตรวจร่าง";
        };
        readonly Cancel: {
            readonly value: 800;
            readonly th: "ยกเลิกการดำเนินการ";
            readonly en: "ยกเลิกการดำเนินการ";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "ดำเนินการแล้วเสร็จ";
            readonly en: "ดำเนินการแล้วเสร็จ";
        };
    }>;
    ExamPlanStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 100;
            readonly th: "สร้างใหม่";
            readonly en: "สร้างใหม่";
        };
        readonly Progress: {
            readonly value: 200;
            readonly th: "อยู่ระหว่างดำเนินการ";
            readonly en: "อยู่ระหว่างดำเนินการ";
        };
        readonly Cancel: {
            readonly value: 800;
            readonly th: "ยกเลิก";
            readonly en: "ยกเลิก";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "เสร็จสิ้นกระบวนการ";
            readonly en: "เสร็จสิ้นกระบวนการ";
        };
    }>;
    ExamOperationType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 10;
            readonly th: "ออกข้อสอบใหม่";
            readonly en: "ออกข้อสอบใหม่";
        };
        readonly QualitySemester: {
            readonly value: 20;
            readonly th: "ปรับปรุงคุณภาพรายภาค";
            readonly en: "ปรับปรุงคุณภาพรายภาค";
        };
        readonly QualityArchive: {
            readonly value: 30;
            readonly th: "ปรับปรุงคุณภาพเข้าคลัง";
            readonly en: "ปรับปรุงคุณภาพเข้าคลัง";
        };
    }>;
    ExamFormRandomType: import("./enumsClass").Enums<{
        readonly CreatePaper: {
            readonly value: 11;
            readonly th: "สุ่มสร้างแบบทดสอบกระดาษ";
            readonly en: "สุ่มสร้างแบบทดสอบกระดาษ";
        };
        readonly CreateWalkin: {
            readonly value: 12;
            readonly th: "สุ่มสร้างแบบ Walk-in Exam";
            readonly en: "สุ่มสร้างแบบ Walk-in Exam";
        };
        readonly ReplacePaper: {
            readonly value: 21;
            readonly th: "สุ่มยกแบบทดสอบกระดาษ";
            readonly en: "สุ่มยกแบบทดสอบกระดาษ";
        };
        readonly ReplaceWalkin: {
            readonly value: 22;
            readonly th: "สุ่มยกแบบ Walk-in Exam";
            readonly en: "สุ่มยกแบบ Walk-in Exam";
        };
    }>;
    ExamFormCreateType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 10;
            readonly th: "ออกข้อสอบใหม่";
            readonly en: "ออกข้อสอบใหม่";
        };
        readonly Mix: {
            readonly value: 20;
            readonly th: "การสร้างแบบผสมภาค";
            readonly en: "การสร้างแบบผสมภาค";
        };
        readonly Old: {
            readonly value: 30;
            readonly th: "การคัดเลือกแบบทดสอบเก่าทั้งฉบับ";
            readonly en: "การคัดเลือกแบบทดสอบเก่าทั้งฉบับ";
        };
        readonly Replace: {
            readonly value: 40;
            readonly th: "การคัดลอกแบบทดสอบยกภาค";
            readonly en: "ทดแทน";
        };
        readonly Copy: {
            readonly value: 50;
            readonly th: "การคัดลอกแบบทดสอบ";
            readonly en: "Copy";
        };
        readonly RandomCreatePaper: {
            readonly value: 61;
            readonly th: "การสุ่มสร้างแบบทดสอบ";
            readonly en: "กระดาษ";
        };
        readonly RandomCreateWalkin: {
            readonly value: 62;
            readonly th: "การสุ่มสร้างแบบทดสอบ";
            readonly en: "Walk-in Exam";
        };
        readonly RandomReplacePaper: {
            readonly value: 71;
            readonly th: "การสุ่มยกแบบ";
            readonly en: "กระดาษ";
        };
        readonly RandomReplaceWalkin: {
            readonly value: 72;
            readonly th: "การสุ่มยกแบบ";
            readonly en: "Walk-in Exam";
        };
        readonly QualitySemester: {
            readonly value: 80;
            readonly th: "การปรับปรุงคุณภาพข้อสอบรายภาค";
            readonly en: "การปรับปรุงคุณภาพข้อสอบรายภาค";
        };
        readonly QualityArchive: {
            readonly value: 90;
            readonly th: "การปรับปรุงคุณภาพข้อสอบเข้าคลัง";
            readonly en: "การปรับปรุงคุณภาพข้อสอบเข้าคลัง";
        };
    }>;
    ExaminationStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 100;
            readonly th: "สร้างใหม่";
            readonly en: "สร้างใหม่";
        };
        readonly ExamItem: {
            readonly value: 110;
            readonly th: "บันทึกข้อสอบ";
            readonly en: "บันทึกข้อสอบ";
        };
        readonly SelectItem: {
            readonly value: 120;
            readonly th: "คัดเลือกข้อสอบ";
            readonly en: "คัดเลือกข้อสอบ";
        };
        readonly CreateExam: {
            readonly value: 200;
            readonly th: "จัดทำแบบทดสอบ";
            readonly en: "จัดทำแบบทดสอบ";
        };
        readonly Disable: {
            readonly value: 300;
            readonly th: "ระงับการจัดสอบ";
            readonly en: "ระงับการจัดสอบ";
        };
        readonly End: {
            readonly value: 400;
            readonly th: "สิ้นสุดการจัดสอบ";
            readonly en: "สิ้นสุดการจัดสอบ";
        };
        readonly Cancle: {
            readonly value: 500;
            readonly th: "ยกเลิกการจัดสอบ";
            readonly en: "ยกเลิกการจัดสอบ";
        };
        readonly Temporary: {
            readonly value: 990;
            readonly th: "จัดเก็บข้อสอบเก่า";
            readonly en: "จัดเก็บข้อสอบเก่า";
        };
    }>;
    ExaminationType: import("./enumsClass").Enums<{
        readonly Paper: {
            readonly value: 10;
            readonly th: "การจัดสอบแบบกระดาษ";
            readonly en: "การจัดสอบแบบกระดาษ";
        };
        readonly Walkin: {
            readonly value: 20;
            readonly th: "การจัดสอบแบบ Walk-in";
            readonly en: "การจัดสอบแบบ Walk-in";
        };
    }>;
    ExamType: import("./enumsClass").Enums<{
        readonly ForReal: {
            readonly value: 10;
            readonly th: "แบบทดสอบสำหรับใช้สอบจริง";
            readonly en: "แบบทดสอบสำหรับใช้สอบจริง";
        };
        readonly ForTest: {
            readonly value: 20;
            readonly th: "แบบทดสอบสำหรับทดสอบ";
            readonly en: "แบบทดสอบสำหรับทดสอบ";
        };
    }>;
    EnableStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 0;
            readonly th: "ยังไม่ได้กำหนด";
            readonly en: "ยังไม่ได้กำหนด";
        };
        readonly Enable: {
            readonly value: 100;
            readonly th: "เปิดให้มีการสอบผ่านระบบ";
            readonly en: "เปิดให้มีการสอบผ่านระบบ";
        };
        readonly Disable: {
            readonly value: 200;
            readonly th: "ไม่มีเปิดให้สอบผ่านระบบ";
            readonly en: "ไม่มีเปิดให้สอบผ่านระบบ";
        };
    }>;
    DisableStatusType: import("./enumsClass").Enums<{
        readonly Enable: {
            readonly value: 100;
            readonly th: "เปิดการใช้งาน";
            readonly en: "เปิดการใช้งาน";
        };
        readonly Disable: {
            readonly value: 200;
            readonly th: "ปิดการใช้งาน";
            readonly en: "ปิดการใช้งาน";
        };
    }>;
    DataStatusType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 0;
            readonly th: "ใหม่";
            readonly en: "New";
        };
        readonly Use: {
            readonly value: 100;
            readonly th: "ใช้งานได้ แก้ไขได้";
            readonly en: "Enable";
        };
        readonly Lock: {
            readonly value: 101;
            readonly th: "ใช้งานได้ แก้ไขได้ แต่ห้ามยกเลิกข้อมูล";
            readonly en: "Lock";
        };
        readonly Permanent: {
            readonly value: 111;
            readonly th: "ใช้งานได้ ห้ามแก้ไข ห้ามยกเลิกข้อมูล";
            readonly en: "Permanent";
        };
        readonly Pause: {
            readonly value: 211;
            readonly th: "ห้ามใช้งานชั่วคราว";
            readonly en: "Pause";
        };
        readonly Disable: {
            readonly value: 411;
            readonly th: "ยกเลิก";
            readonly en: "Disable";
        };
        readonly Delete: {
            readonly value: 511;
            readonly th: "ข้อมูลถูกลบ รอการนำออก";
            readonly en: "Deleted";
        };
    }>;
    CreateObjectiveType: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 10;
            readonly th: "ออกข้อสอบใหม่";
            readonly en: "ออกข้อสอบใหม่";
        };
        readonly FromIdenticalSubject: {
            readonly value: 20;
            readonly th: "นำมาจากชุดวิชาเดียวกัน";
            readonly en: "นำมาจากชุดวิชาเดียวกัน";
        };
        readonly FromOtherSubject: {
            readonly value: 30;
            readonly th: "นำมาจากชุดวิชาอื่น";
            readonly en: "นำมาจากชุดวิชาอื่น";
        };
    }>;
    CreatedType: import("./enumsClass").Enums<{
        readonly Normal: {
            readonly value: 10;
            readonly th: "สร้างแบบปกติ";
            readonly en: "สร้างแบบปกติ";
        };
        readonly CopyExamform: {
            readonly value: 20;
            readonly th: "สร้างโดยการสำเนาทั้งแบบทดสอบ";
            readonly en: "สร้างโดยการสำเนาทั้งแบบทดสอบ";
        };
        readonly CopyWalkin: {
            readonly value: 30;
            readonly th: "สร้างโดยการนำเข้าจากระบบ Walk-in Exam";
            readonly en: "สร้างโดยการนำเข้าจากระบบ Walk-in Exam";
        };
    }>;
    ContentType: import("./enumsClass").Enums<{
        readonly Word: {
            readonly value: 10;
            readonly th: "Microsoft Word";
            readonly en: "Microsoft Word";
        };
        readonly Hypertext: {
            readonly value: 20;
            readonly th: "Hypertext";
            readonly en: "Hypertext";
        };
        readonly PlainText: {
            readonly value: 30;
            readonly th: "Plain Text";
            readonly en: "Plain Text";
        };
        readonly Pdf: {
            readonly value: 40;
            readonly th: "PDF";
            readonly en: "PDF";
        };
        readonly Svg: {
            readonly value: 50;
            readonly th: "SVG";
            readonly en: "SVG";
        };
        readonly Multimedia: {
            readonly value: 60;
            readonly th: "Multimedia";
            readonly en: "Multimedia";
        };
        readonly Picture: {
            readonly value: 70;
            readonly th: "Picture";
            readonly en: "Picture";
        };
        readonly Excel: {
            readonly value: 80;
            readonly th: "Microsoft Excel";
            readonly en: "Microsoft Excel";
        };
        readonly PowerPoint: {
            readonly value: 90;
            readonly th: "Power Point";
            readonly en: "Power Point";
        };
    }>;
    ConditionPValueType: import("./enumsClass").Enums<{
        readonly LessThanAndEqual: {
            readonly value: 10;
            readonly th: "น้อยกว่าและเท่ากับ";
            readonly en: "น้อยกว่าและเท่ากับ";
        };
        readonly LessThan: {
            readonly value: 20;
            readonly th: "น้อยกว่า";
            readonly en: "น้อยกว่า";
        };
        readonly Equal: {
            readonly value: 30;
            readonly th: "เท่ากับ";
            readonly en: "เท่ากับ";
        };
    }>;
    CommitteeProcessStatusType: import("./enumsClass").Enums<{
        readonly MainSubjectPending: {
            readonly value: 100;
            readonly th: "รอแจ้งแต่งตั้งประธานชุดวิชา";
            readonly en: "รอแจ้งแต่งตั้งประธานชุดวิชา";
        };
        readonly MainSubjectProceeding: {
            readonly value: 200;
            readonly th: "แจ้งแต่งตั้งประธานชุดวิชา";
            readonly en: "แจ้งแต่งตั้งประธานชุดวิชา";
        };
        readonly MainSubjectConfirm: {
            readonly value: 300;
            readonly th: "ยืนยันการแต่งตั้งประธานชุดวิชา";
            readonly en: "ยืนยันการแต่งตั้งประธานชุดวิชา";
        };
        readonly CommitteeConfirmByMainSubject: {
            readonly value: 400;
            readonly th: "ยืนยันการแต่งตั้งคณะกรรมการจากประธานชุดวิชา";
            readonly en: "ยืนยันการแต่งตั้งคณะกรรมการจากประธานชุดวิชา";
        };
        readonly CommitteeUpdate: {
            readonly value: 800;
            readonly th: "แจ้งปรับปรุงข้อมูลการแต่งตั้งคณะกรรมการ";
            readonly en: "แจ้งปรับปรุงข้อมูลการแต่งตั้งคณะกรรมการ";
        };
        readonly CommitteeConfirmByMainOrganization: {
            readonly value: 900;
            readonly th: "ยืนยันการแต่งตั้งคณะกรรมการจากประธานสาขาวิชา";
            readonly en: "ยืนยันการแต่งตั้งคณะกรรมการจากประธานสาขาวิชา";
        };
        readonly None: {
            readonly value: 8000;
            readonly th: "ไม่มีการกำหนด";
            readonly en: "ไม่มีการกำหนด";
        };
    }>;
    CommandDisplayType: import("./enumsClass").Enums<{
        readonly Display: {
            readonly value: 10;
            readonly th: "แสดงคำสั่ง";
            readonly en: "แสดงคำสั่ง";
        };
        readonly Undisplay: {
            readonly value: 20;
            readonly th: "ไม่แสดงคำสั่ง";
            readonly en: "ไม่แสดงคำสั่ง";
        };
    }>;
    ChoiceDisplayType: import("./enumsClass").Enums<{
        readonly SingleColumn: {
            readonly value: 10;
            readonly th: "แบบ Single Column";
            readonly en: "L-Style";
        };
        readonly DoubleColumn: {
            readonly value: 20;
            readonly th: "แบบ Double Column";
            readonly en: "N-Style";
        };
        readonly LineColumn: {
            readonly value: 30;
            readonly th: "แบบแถวเดียว";
            readonly en: "Row-Style";
        };
    }>;
    AssignAnswerStatusType: import("./enumsClass").Enums<{
        readonly AnswerNotAssign: {
            readonly value: 100;
            readonly th: "ไม่ระบุเฉลย";
            readonly en: "ไม่ระบุเฉลย";
        };
        readonly AnswerAssign: {
            readonly value: 200;
            readonly th: "ระบุเฉลย";
            readonly en: "ระบุเฉลย";
        };
    }>;
    AssignmentStatusType: import("./enumsClass").Enums<{
        readonly Proceeding: {
            readonly value: 100;
            readonly th: "รอดำเนินการ";
            readonly en: "รอดำเนินการ";
        };
        readonly Cancel: {
            readonly value: 800;
            readonly th: "ยกเลิกการดำเนินการ";
            readonly en: "ยกเลิกการดำเนินการ";
        };
        readonly Complete: {
            readonly value: 900;
            readonly th: "ดำเนินการแล้วเสร็จ";
            readonly en: "ดำเนินการแล้วเสร็จ";
        };
    }>;
    ApproveStatusType: import("./enumsClass").Enums<{
        readonly WaitForVerifying: {
            readonly value: 100;
            readonly th: "รอการตรวจสอบ";
            readonly en: "รอการตรวจสอบ";
        };
        readonly InformImprove: {
            readonly value: 200;
            readonly th: "แจ้งปรับปรุง";
            readonly en: "แจ้งปรับปรุง";
        };
        readonly VerifyingNotPass: {
            readonly value: 800;
            readonly th: "ไม่ผ่านการตรวจสอบ";
            readonly en: "ไม่ผ่านการตรวจสอบ";
        };
        readonly Verified: {
            readonly value: 900;
            readonly th: "ผ่านการตรวจสอบ";
            readonly en: "ผ่านการตรวจสอบ";
        };
    }>;
    ApplicationPersonRoleType: import("./enumsClass").Enums<{
        readonly ExamEditor: {
            readonly value: 10;
            readonly th: "ผู้ออก/ผู้ปรับปรุงข้อสอบ";
            readonly en: "ผู้ออก/ผู้ปรับปรุงข้อสอบ";
        };
        readonly ExamEvaluator: {
            readonly value: 20;
            readonly th: "ผู้ตรวจสอบคุณภาพ/ประเมิณคุณภาพข้อสอบ";
            readonly en: "ผู้ตรวจสอบคุณภาพ/ประเมิณคุณภาพข้อสอบ";
        };
        readonly ExamExaminer: {
            readonly value: 30;
            readonly th: "ผู้ตรวจร่างแบบทดสอบ";
            readonly en: "ผู้ตรวจร่างแบบทดสอบ";
        };
        readonly ExamPublisher: {
            readonly value: 40;
            readonly th: "ผู้พิมพ์";
            readonly en: "ผู้พิมพ์";
        };
        readonly Other: {
            readonly value: 50;
            readonly th: "อื่นๆ";
            readonly en: "อื่นๆ";
        };
    }>;
    AnswerStatusType: import("./enumsClass").Enums<{
        readonly AnswerWrong: {
            readonly value: 100;
            readonly th: "ไม่ใช่คำตอบ";
            readonly en: "ไม่ใช่คำตอบ";
        };
        readonly AnswerCorrect: {
            readonly value: 200;
            readonly th: "เป็นคำตอบที่ถูก";
            readonly en: "เป็นคำตอบที่ถูก";
        };
    }>;
    AlertFlagType: import("./enumsClass").Enums<{
        readonly FlagAlert: {
            readonly value: 10;
            readonly th: "แจ้งเตือน";
            readonly en: "แจ้งเตือน";
        };
        readonly FlagNotAlert: {
            readonly value: 20;
            readonly th: "ไม่แจ้งเตือน";
            readonly en: "ไม่แจ้งเตือน";
        };
    }>;
    ActiveStatusType: import("./enumsClass").Enums<{
        readonly Active: {
            readonly value: 100;
            readonly th: "ใช้งาน";
            readonly en: "ใช้งาน";
        };
        readonly Inactive: {
            readonly value: 200;
            readonly th: "ไม่ใช้งาน";
            readonly en: "ไม่ใช้งาน";
        };
    }>;
    AccessType: import("./enumsClass").Enums<{
        readonly AccessOpen: {
            readonly value: 10;
            readonly th: "เรียกดูรายงาน";
            readonly en: "เรียกดูรายงาน";
        };
        readonly AccessPrint: {
            readonly value: 20;
            readonly th: "พิมพ์รายงาน";
            readonly en: "พิมพ์รายงาน";
        };
        readonly AccessDownload: {
            readonly value: 30;
            readonly th: "ดาวโหลดรายงาน";
            readonly en: "ดาวโหลดรายงาน";
        };
    }>;
};
export default ESIEnum;
