"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AccessType = require("./enumsBaseObjects/AccessEnums");
const ActiveStatusType = require("./enumsBaseObjects/ActiveStatusEnums");
const AlertFlagType = require("./enumsBaseObjects/AlertFlagEnums");
const AnswerStatusType = require("./enumsBaseObjects/AnswerStatusEnums");
const ApplicationPersonRoleType = require("./enumsBaseObjects/ApplicationPersonRoleEnums");
const ApproveStatusType = require("./enumsBaseObjects/ApproveStatusEnums");
const AssignmentStatusType = require("./enumsBaseObjects/AssignmentStatusEnums");
const AssignAnswerStatusType = require("./enumsBaseObjects/AssignAnswerStatusEnums");
const ChoiceDisplayType = require("./enumsBaseObjects/ChoiceDisplayEnums");
const CommandDisplayType = require("./enumsBaseObjects/CommandDisplayEnums");
const CommitteeProcessStatusType = require("./enumsBaseObjects/CommitteeProcessStatusEnums");
const ConditionPValueType = require("./enumsBaseObjects/ConditionPValueEnums");
const ContentType = require("./enumsBaseObjects/ContentEnums");
const CreatedType = require("./enumsBaseObjects/CreatedEnums");
const CreateObjectiveType = require("./enumsBaseObjects/CreateObjectiveEnums");
const DataStatusType = require("./enumsBaseObjects/DataStatusEnums");
const DisableStatusType = require("./enumsBaseObjects/DisableStatusEnums");
const EnableStatusType = require("./enumsBaseObjects/EnableStatusEnums");
const ExamType = require("./enumsBaseObjects/ExamEnums");
const ExaminationType = require("./enumsBaseObjects/ExaminationEnums");
const ExaminationStatusType = require("./enumsBaseObjects/ExaminationStatusEnums");
const ExamFormCreateType = require("./enumsBaseObjects/ExamFormCreateEnums");
const ExamFormRandomType = require("./enumsBaseObjects/ExamFormRandomEnums");
const ExamOperationType = require("./enumsBaseObjects/ExamOperationEnums");
const ExamPlanStatusType = require("./enumsBaseObjects/ExamPlanStatusEnums");
const ExamPlanSubjectStatusType = require("./enumsBaseObjects/ExamPlanSubjectStatusEnums");
const ExamReviewStatusType = require("./enumsBaseObjects/ExamReviewStatusEnums");
const ExamStatusType = require("./enumsBaseObjects/ExamStatusEnums");
const ExamUseFlagType = require("./enumsBaseObjects/ExamUseFlagEnums");
const FlagType = require("./enumsBaseObjects/FlagEnums");
const FontType = require("./enumsBaseObjects/FontEnums");
const FormProcessStatusType = require("./enumsBaseObjects/FormProcessStatusEnums");
const FormStatusType = require("./enumsBaseObjects/FormStatusEnums");
const InformType = require("./enumsBaseObjects/InformEnums");
const InputOptionType = require("./enumsBaseObjects/InputOptionEnums");
const ItemAddType = require("./enumsBaseObjects/ItemAddEnums");
const ItemCopiedStatusType = require("./enumsBaseObjects/ItemCopiedStatusEnums");
const KeeperType = require("./enumsBaseObjects/KeeperEnums");
const LockStatusType = require("./enumsBaseObjects/LockStatusEnums");
const MessageType = require("./enumsBaseObjects/MessageEnums");
const MessageStatusType = require("./enumsBaseObjects/MessageStatusEnums");
const MultimediaStatusType = require("./enumsBaseObjects/MultimediaStatusEnums");
const NotifyType = require("./enumsBaseObjects/NotifyEnums");
const NotifyMessageType = require("./enumsBaseObjects/NotifyMessageEnums");
const NotifyStatusType = require("./enumsBaseObjects/NotifyStatusEnums");
const ObjectiveFormatType = require("./enumsBaseObjects/ObjectiveFormatEnums");
const OperationStatusType = require("./enumsBaseObjects/OperationStatusEnums");
const PaperExamFormRandomType = require("./enumsBaseObjects/PaperExamFormRandomEnums");
const PaymentStatusType = require("./enumsBaseObjects/PaymentStatusEnums");
const PersonRoleType = require("./enumsBaseObjects/PersonRoleEnums");
const ProcessStatusType = require("./enumsBaseObjects/ProcessStatusEnums");
const ReceiverStatusType = require("./enumsBaseObjects/ReceiverStatusEnums");
const ReportType = require("./enumsBaseObjects/ReportEnums");
const RequireStatusType = require("./enumsBaseObjects/RequireStatusEnums");
const ResponseType = require("./enumsBaseObjects/ResponseEnums");
const ReviewerProcessStatusType = require("./enumsBaseObjects/ReviewerProcessStatusEnums");
const SendStatusType = require("./enumsBaseObjects/SendStatusEnums");
const SendToTaskType = require("./enumsBaseObjects/SendToTaskEnums");
const SourceType = require("./enumsBaseObjects/SourceEnums");
const StatisticsUsedType = require("./enumsBaseObjects/StatisticsUsedEnums");
const SubjectType = require("./enumsBaseObjects/SubjectEnums");
const SubjectRoleType = require("./enumsBaseObjects/SubjectRoleEnums");
const TableMappingType = require("./enumsBaseObjects/TableMappingEnums");
const TaskType = require("./enumsBaseObjects/TaskEnums");
const TaskFeeUnitType = require("./enumsBaseObjects/TaskFeeUnitEnums");
const TaskOperationType = require("./enumsBaseObjects/TaskOperationEnums");
const UseType = require("./enumsBaseObjects/UseEnums");
const UsedStatusType = require("./enumsBaseObjects/UsedStatusEnums");
const VerifyStatusType = require("./enumsBaseObjects/VerifyStatusEnums");
const WalkinExamFormRandomType = require("./enumsBaseObjects/WalkinExamFormRandomEnums");
const ESIEnum = {
    ...AccessType,
    ...ActiveStatusType,
    ...AlertFlagType,
    ...AnswerStatusType,
    ...ApplicationPersonRoleType,
    ...ApproveStatusType,
    ...AssignmentStatusType,
    ...AssignAnswerStatusType,
    ...ChoiceDisplayType,
    ...CommandDisplayType,
    ...CommitteeProcessStatusType,
    ...ConditionPValueType,
    ...ContentType,
    ...CreatedType,
    ...CreateObjectiveType,
    ...DataStatusType,
    ...DisableStatusType,
    ...EnableStatusType,
    ...ExamType,
    ...ExaminationType,
    ...ExaminationStatusType,
    ...ExamFormCreateType,
    ...ExamFormRandomType,
    ...ExamOperationType,
    ...ExamPlanStatusType,
    ...ExamPlanSubjectStatusType,
    ...ExamReviewStatusType,
    ...ExamStatusType,
    ...ExamUseFlagType,
    ...FlagType,
    ...FontType,
    ...FormProcessStatusType,
    ...FormStatusType,
    ...InformType,
    ...InputOptionType,
    ...ItemAddType,
    ...ItemCopiedStatusType,
    ...KeeperType,
    ...LockStatusType,
    ...MessageType,
    ...MessageStatusType,
    ...MultimediaStatusType,
    ...NotifyType,
    ...NotifyMessageType,
    ...NotifyStatusType,
    ...ObjectiveFormatType,
    ...OperationStatusType,
    ...PaperExamFormRandomType,
    ...PaymentStatusType,
    ...PersonRoleType,
    ...ProcessStatusType,
    ...ReceiverStatusType,
    ...ReportType,
    ...RequireStatusType,
    ...ResponseType,
    ...ReviewerProcessStatusType,
    ...SendStatusType,
    ...SendToTaskType,
    ...SourceType,
    ...StatisticsUsedType,
    ...SubjectType,
    ...SubjectRoleType,
    ...TableMappingType,
    ...TaskType,
    ...TaskFeeUnitType,
    ...TaskOperationType,
    ...UseType,
    ...UsedStatusType,
    ...VerifyStatusType,
    ...WalkinExamFormRandomType,
};
exports.default = ESIEnum;
//# sourceMappingURL=index.js.map